Skip to content
POST /auth/passkey/registration/verify

Request Body

challenge_idstring
namestring,null
responseRecord<string, any>
curl -X POST 'https://api.elaichi.ai/auth/passkey/registration/verify' \
  -H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"challenge_id":"your_challenge_id","response":{}}'
const body = {
  "challenge_id": "your_challenge_id",
  "response": {}
};

const response = await fetch('https://api.elaichi.ai/auth/passkey/registration/verify', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import os
import requests

url = "https://api.elaichi.ai/auth/passkey/registration/verify"
headers = {
    "Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
    "Content-Type": "application/json",
}
payload = {
    "challenge_id": "your_challenge_id",
    "response": {}
}

response = requests.post(url, headers=headers, json=payload)
print(response.json())